Bug 6770 - AllowHoldPolicyOverride not working
Summary: AllowHoldPolicyOverride not working
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) critical (vote)
Assignee: Srdjan Jankovic
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-24 18:56 UTC by Nicole C. Engard
Modified: 2019-06-27 09:24 UTC (History)
5 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
patch (1.91 KB, patch)
2011-09-06 04:14 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
[SIGNED-OFF] bug_6770: removed doubled override increment when using AllowHoldPolicyOverride (1.99 KB, patch)
2011-09-08 00:06 UTC, Nicole C. Engard
Details | Diff | Splinter Review
patch (1.91 KB, patch)
2011-10-10 01:05 UTC, Srdjan Jankovic
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-08-24 18:56:16 UTC
When a patron has more than 5 holds staff was previously able to place holds for the patron over-riding the 5 hold limit (with the AllowHoldPolicyOverride  pref set to allow). I find that I am unable to do that at this time. I know I was previously able to over-ride the 5 hold limit for patrons.
Comment 1 Srdjan Jankovic 2011-09-06 04:14:41 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2011-09-08 00:06:35 UTC Comment hidden (obsolete)
Comment 3 Ian Walls 2011-10-06 16:53:42 UTC
Removes duplicate logic, and overall simplifies a very complex and unpleasant conditional.  In my testing, this works in a variety of "cannot place hold" situations.  Marking as Passed QA.
Comment 4 Chris Cormack 2011-10-06 20:38:35 UTC
Pushed, please test
Comment 5 Chris Nighswonger 2011-10-08 21:52:55 UTC
This does not apply cleanly to 3.4.x. If it should, please rebase against the
3.4.x branch and resubmit with [3.4.x] in the subject line.
Comment 6 Srdjan Jankovic 2011-10-10 01:05:45 UTC
Created attachment 5819 [details] [review]
patch
Comment 7 Srdjan Jankovic 2011-10-10 01:06:47 UTC
Sorry, I missed to put [3.4.x] in the subject line
Comment 8 Owen Leonard 2011-10-11 13:40:50 UTC
This doesn't need a second signoff does it?
Comment 9 Ian Walls 2011-10-19 19:08:16 UTC
Owen, right, this has just been updated for 3.4.x.  Chris N, this should apply now.
Comment 10 Paul Poulain 2011-10-26 15:55:19 UTC
fixed in 3.6 Chris_n, can you take care of it in 3.4 ?
Comment 11 Chris Nighswonger 2011-10-26 16:44:54 UTC
(In reply to comment #10)
> fixed in 3.6 Chris_n, can you take care of it in 3.4 ?

Done already. tnx
Comment 12 Chris Nighswonger 2011-10-26 16:45:59 UTC
Marking patch pushed since this was bumped back to 3.4.x. Please test and close.
Comment 13 Jared Camins-Esakov 2012-12-31 00:20:29 UTC
There have been no further reports of problems so I am marking this bug resolved.